Skip to main content
POST
Add Network Pool

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

network_id
string
required

Body

application/json

Request to add a liquidity pool

connector_name
string
required

DEX connector name (e.g., 'raydium', 'meteora')

type
string
required

Pool type ('clmm' or 'amm')

address
string
required

Pool contract address

base
string
required

Base token symbol

quote
string
required

Quote token symbol

base_address
string
required

Base token contract address

quote_address
string
required

Quote token contract address

network
string | null

Network name (e.g., 'mainnet-beta') - optional for /networks/{network_id}/pools

fee_pct
number | null

Pool fee percentage (e.g., 0.25)

Response

Successful Response

The response is of type Response Add Network Pool Gateway Networks Network Id Pools Post · object.